#11186 closed defect (invalid)

SUPERNOVA: Can't start with current supernova.dat

Reported by: windlepoons Owned by: windlepoons
Priority: normal Component: Engine: Supernova
Keywords: Cc:
Game:

Description

When I want to start Supernova (part 1+2), I have the following message:

Incorrect version of the 'supernova.dat' engine data file found. Expected 3 but got 1.

after OK

Unable to locate the text for German language in engine data file.

or

Unable to locate the text for English language in engine data file.

from the scummvm.log:

[2019-10-01 20:20:38] ScummVM 2.2.0git182-gda01e83906 (Oct  1 2019 10:01:52)
[2019-10-01 20:20:38] TAINTED Vorbis FLAC MP3 RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 JPEG PNG cloud (local) 
[2019-10-01 20:20:38] --- Log opened.
[2019-10-01 20:20:43] Failed reading game strings!
[2019-10-01 20:20:43] --- Log closed successfully.

I have downloaded the .dat file directly from GitHub.
Testing with self compiling under Debian/sid and current Windows 32bit version under wine.

Change History (3)

comment:1 by criezy, 10 months ago

Is it possible that you have another older 'supernova'dat' file around?
I checked the file you linked to and it has the version byte set to 3, which is correct. It also works for me.

The version of the supernova.dat file was changed on June 21, and then again on July 2. So any version 1 of the file would be from before June 21.

comment:2 by windlepoons, 10 months ago

I'm sorry, that was my mistake. I had old version of supernova.dat in the games folder. Now the games work.

comment:3 by windlepoons, 10 months ago

Owner: set to windlepoons
Resolution: invalid
Status: newclosed
Note: See TracTickets for help on using tickets.